List a customer's onboarding requests
curl --request GET \
--url https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feature": "WIRE",
"currency": "<string>",
"mode": "api_only",
"status": "draft",
"requirements": {
"mode": "<string>",
"status": "draft",
"schema": {}
},
"outstandingRequirements": [
"<string>"
],
"rejectionReason": "<string>",
"submissionCount": 123,
"submittedData": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Customer Onboarding
List a customer's onboarding requests
GET
/
v1
/
customers
/
{customerId}
/
onboarding-requests
List a customer's onboarding requests
curl --request GET \
--url https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/customers/{customerId}/onboarding-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feature": "WIRE",
"currency": "<string>",
"mode": "api_only",
"status": "draft",
"requirements": {
"mode": "<string>",
"status": "draft",
"schema": {}
},
"outstandingRequirements": [
"<string>"
],
"rejectionReason": "<string>",
"submissionCount": 123,
"submittedData": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Path Parameters
Query Parameters
Available options:
draft, collecting_information, submitted, action_required, in_review, approved, rejected, failed, expired USD → WIRE, EUR → SEPA
Available options:
WIRE, SEPA Required range:
x <= 100
